#!/usr/bin/env bash

BASEDIR=$(dirname "$0")
cd $BASEDIR

git clone https://github.com/Auburn/FastNoise2 .up
cd .up
echo "Apply master"
#TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
#echo "Apply tag $TAG"
#git checkout $TAG
git apply ../.fix-include-path.patch
cp -rf src include LICENSE ..
cd ..
rm -rf .up
echo "Done"